OwlMixin 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1132210 漏洞类型 命令注入
发布时间 2017-11-07 更新时间 2019-10-23
CVE编号 CVE-2017-16618 CNNVD-ID CNNVD-201711-221
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201711-221
|漏洞详情
OwlMixin是一款基于Python的能够将数据类实例、dict对象、json字符串和yaml字符串进行相互转换的工具。 OwlMixin 2.0.0a12之前的版本中的util.py文件的YAML加载功能存在安全漏洞。攻击者可通过向已加载的YAML注入Python利用该漏洞执行任意的Python命令。
|参考资料

来源:CONFIRM
链接:https://github.com/tadashi-aikawa/owlmixin/commit/5d0575303f6df869a515ced4285f24ba721e0d4e
来源:CONFIRM
链接:https://github.com/tadashi-aikawa/owlmixin/issues/12